English
Creates a comment or reply on a file.
curl -X POST 'https://api.youvico.com/api/files/FX1234567890ABCD/comments' \ -H 'Authorization: Bearer YOUR_API_KEY' \ -H 'Content-Type: application/json' \ -d '{ "content": "Updated and re-exported.", "anchor": 12000, "duration": 3000, "parent": { "id": "2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6" } }'
{ "data": { "id": "84202e58-bf8c-471d-af07-0ab0f5b0f82b" } }
id
string
content
Maximum 5000 characters
Example: Updated and re-exported.
Updated and re-exported.
anchor
number
Integer, 0-2147483647
Example: 12000
12000
duration
Example: 3000
3000
parent
object
parent.id
UUID
Example: 2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6
2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6
attachments
array
1-10 items, unique IDs
attachments[].id
Info
Provide at least one of a non-empty content, anchor, or attachments, and provide duration only with anchor.
Returns 201 Created.
201 Created
data
data.id
Example: 84202e58-bf8c-471d-af07-0ab0f5b0f82b
84202e58-bf8c-471d-af07-0ab0f5b0f82b
Create Comment (File)
Creates a comment or reply on a file.
Example
Request
Path
idstringrequiredBody
contentstringMaximum 5000 characters
Example:
Updated and re-exported.anchornumberInteger, 0-2147483647
Example:
12000durationnumberInteger, 0-2147483647
Example:
3000parentobjectparent.idstringrequiredUUID
Example:
2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6attachmentsarray1-10 items, unique IDs
attachments[].idstringrequiredInfo
Provide at least one of a non-empty
content,anchor, orattachments, and providedurationonly withanchor.Response
Returns
201 Created.dataobjectdata.idstringExample:
84202e58-bf8c-471d-af07-0ab0f5b0f82b